package com.yijia.station.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 班结管理对象 station_class_structure
 * 
 * @author yijia
 * @date 2020-12-14
 */
public class StationClassStructure extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long stationId;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationName;

    /** 员工姓名 */
    @Excel(name = "员工姓名")
    private String person;

    /** 负责枪号 */
    @Excel(name = "负责枪号")
    private String gunNo;

    /** 销量 */
    @Excel(name = "销量")
    private String salesVolume;

    /** 销额 */
    @Excel(name = "销额")
    private String salesAmount;

    /** 优惠 */
    @Excel(name = "优惠")
    private String discount;

    /** 优惠券 */
    @Excel(name = "优惠券")
    private String coupon;

    /** 实收 */
    @Excel(name = "实收")
    private String netReceipts;

    /** 销售笔数 */
    @Excel(name = "销售笔数")
    private Long salesNum;

    /** 打印小票数（含重复） */
    @Excel(name = "打印小票数", readConverterExp = "含=重复")
    private Long printNum;

    /** 班次号 */
    @Excel(name = "班次号")
    private String classStructureNo;

    /** 班结时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "班结时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date classStructureDate;

    /** 班结人 */
    @Excel(name = "班结人")
    private String classStructureMan;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStationId(Long stationId) 
    {
        this.stationId = stationId;
    }

    public Long getStationId() 
    {
        return stationId;
    }
    public void setStationName(String stationName) 
    {
        this.stationName = stationName;
    }

    public String getStationName() 
    {
        return stationName;
    }
    public void setPerson(String person) 
    {
        this.person = person;
    }

    public String getPerson() 
    {
        return person;
    }
    public void setGunNo(String gunNo) 
    {
        this.gunNo = gunNo;
    }

    public String getGunNo() 
    {
        return gunNo;
    }
    public void setSalesVolume(String salesVolume) 
    {
        this.salesVolume = salesVolume;
    }

    public String getSalesVolume() 
    {
        return salesVolume;
    }
    public void setSalesAmount(String salesAmount) 
    {
        this.salesAmount = salesAmount;
    }

    public String getSalesAmount() 
    {
        return salesAmount;
    }
    public void setDiscount(String discount) 
    {
        this.discount = discount;
    }

    public String getDiscount() 
    {
        return discount;
    }
    public void setCoupon(String coupon) 
    {
        this.coupon = coupon;
    }

    public String getCoupon() 
    {
        return coupon;
    }
    public void setNetReceipts(String netReceipts) 
    {
        this.netReceipts = netReceipts;
    }

    public String getNetReceipts() 
    {
        return netReceipts;
    }
    public void setSalesNum(Long salesNum) 
    {
        this.salesNum = salesNum;
    }

    public Long getSalesNum() 
    {
        return salesNum;
    }
    public void setPrintNum(Long printNum) 
    {
        this.printNum = printNum;
    }

    public Long getPrintNum() 
    {
        return printNum;
    }
    public void setClassStructureNo(String classStructureNo) 
    {
        this.classStructureNo = classStructureNo;
    }

    public String getClassStructureNo() 
    {
        return classStructureNo;
    }
    public void setClassStructureDate(Date classStructureDate) 
    {
        this.classStructureDate = classStructureDate;
    }

    public Date getClassStructureDate() 
    {
        return classStructureDate;
    }
    public void setClassStructureMan(String classStructureMan) 
    {
        this.classStructureMan = classStructureMan;
    }

    public String getClassStructureMan() 
    {
        return classStructureMan;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .append("person", getPerson())
            .append("gunNo", getGunNo())
            .append("salesVolume", getSalesVolume())
            .append("salesAmount", getSalesAmount())
            .append("discount", getDiscount())
            .append("coupon", getCoupon())
            .append("netReceipts", getNetReceipts())
            .append("salesNum", getSalesNum())
            .append("printNum", getPrintNum())
            .append("classStructureNo", getClassStructureNo())
            .append("classStructureDate", getClassStructureDate())
            .append("classStructureMan", getClassStructureMan())
            .toString();
    }
}
